<template>
<v-sheet
    color="secondary lighten-1"
    class="d-flex align-center justify-center"
    height="100%">
    <v-card tile class="elevation-8 primary" width="600">
        <div align="center">
          <div class="mb-5"></div>
          <h1 class="white--text">Cadastro</h1>
          <div class="title mb-8 white--text">
            Pronto para fazer seu cadastro? <br />
          </div>
          <v-form ref="registerForm" @submit.prevent="sendRegister()">
            <v-text-field
              v-model="register.name"
              label="Nome Completo *"
              color="tertiary"
              filled
              hide-details="auto"
              class="mx-5 white white--text"
              :rules="[$rules.required]"
              :disabled="loadingSave"/>
            <v-text-field
              v-model="register.email"
              label="E-Mail *"
              color="tertiary"
              filled
              hide-details="auto"
              class="ma-5 white"
              :rules="[$rules.required, $rules.email]"
              :disabled="loadingSave"/>
            <v-text-field
              v-model="register.password"
              label="Senha *"
              color="tertiary"
              filled
              hide-details="auto"
              class="ma-5 white"
              :rules="[$rules.required, $rules.passwordMin]"
              :disabled="loadingSave"
              :append-icon="showPassword ? 'mdi-eye' : 'mdi-eye-off'"
              @click:append="showPassword = !showPassword"
              :type="showPassword ? 'text' : 'password'"/>
            <v-text-field
              label="Confirmar senha *"
              color="tertiary"
              filled
              hide-details="auto"
              class="ma-5 white"
              :disabled="loadingSave"
              :rules="[
                $rules.required,
                $rules.passwordMin,
                $rules.equalPassword(() => register.password)]"
              :append-icon="confirmRepeat ? 'mdi-eye' : 'mdi-eye-off'"
              @click:append="confirmRepeat = !confirmRepeat"
              :type="confirmRepeat ? 'text' : 'password'"/>
            <v-text-field
              v-model="register.company.name"
              label="Razão Social da Empresa *"
              color="tertiary"
              filled
              hide-details="auto"
              class="ma-5 white"
              :rules="[$rules.required]"
              :disabled="loadingSave"/>
            <v-text-field
              v-model="register.company.cnpj"
              label="CNPJ da Empresa *"
              color="tertiary"
              filled
              hide-details="auto"
              class="ma-5 white"
              :rules="[$rules.required, $rules.cnpj]"
              v-mask="['##.###.###/####-##']"
              :disabled="loadingSave"
            />
            <div class="d-flex align-center justify-space-between">
              <v-checkbox
                :disabled="loadingSave"
                v-model="checkbox_register"
                dark
                color="tertiary"
                label="Aceito os termos e condições de uso"
                class="ml-5 ma-0 pa-0"
                hide-details="auto"
                :rules="[(val) => !!val || 'Você deve aceitar para continuar']"
              />
            </div>
            <div align="center" class="primary--text">
              <v-col cols="12" lg="4" md="4">
                <v-btn
                  :loading="loadingSave"
                  color="tertiary"
                  dark
                  block
                  type="submit">
                  Criar Conta
                </v-btn></v-col>
            </div>
          </v-form>
          <div class="title mb-5 white--text"></div>
        </div>
      </v-card>
  </v-sheet>
</template>

<script>

  export default {
    name: 'Cadastro',
    components: {},
    //
     data: () => ({
    user: {}
    }),

    methods: {
       getUsers(){
         this.$axios
          .get("http://localhost:8081/listar")
          .then((res) => {
            this.user = res.data;
            this.$showMessage("success", "Usuario Cadastrado");
          })
          .catch((error) => {
            console.log(error)
          }).finally(() => {
            //
          });
       }
    }


  }
</script>
